USN-4644-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4644-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4644-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4644-1
Related
Published
2020-11-27T13:16:04.809028Z
Modified
2020-11-27T13:16:04.809028Z
Summary
igraph vulnerability
Details

It was discovered that igraph mishandled certain malformed XML. An attacker could use this vulnerability to cause a denial of service (crash).

References

Affected packages

Ubuntu:18.04:LTS / igraph

Package

Name
igraph

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.7.1-2.1+deb9u1build0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libigraph0-dev": "0.7.1-2.1+deb9u1build0.18.04.1",
            "libigraph0v5": "0.7.1-2.1+deb9u1build0.18.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / igraph

Package

Name
igraph

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.7.1-2.1+deb9u1build0.16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libigraph0-dev": "0.7.1-2.1+deb9u1build0.16.04.1",
            "libigraph0v5": "0.7.1-2.1+deb9u1build0.16.04.1"
        }
    ]
}